Page MenuHomePhabricator

Investigate changes needed for Page namespace on Wikisource
Closed, ResolvedPublic5 Estimated Story Points

Description

Motivation
Currently TwoColConflict works for the wikitext namespace, but not in the page namespace because that apparently uses a non-wikitext content model, which would be needed for wikisource (see here: https://en.wikisource.org/wiki/Wikisource:Scriptorium/Archives/2017-05#Beta_Feature_Two_Column_Edit_Conflict_View).

Task
Find out, what would be needed to have TwoColConflict also work in the page namespace

Event Timeline

Lea_WMDE created this task.May 12 2017, 8:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2017, 8:30 AM
Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptJun 27 2017, 12:21 PM
thiemowmde updated the task description. (Show Details)Feb 4 2020, 2:23 PM
awight renamed this task from Investigate changes needed for page namespace to Investigate changes needed for Page namespace on Wikisource.Feb 10 2020, 11:14 AM
WMDE-Fisch set the point value for this task to 5.Feb 10 2020, 11:14 AM

So Two-Column-Edit-Conflict-Merge generally seems to work with the Page namespace. But from a first local test I could at least identify one smaller issue that's inconsistent with what would happen in the core conflict solving screen.

The <noinclude><references/></noinclude> part in the wikitext always includes newlines in the fresher edit although these will be kicked out when it's saved it seems. So in Two-Column-Edit-Conflict-Merge this difference is shown as a difference that needs to be addressed in a way.

The core conflict solving screen - that only shows a plain diff to poke you to the issues of the conflict - does not consider these newlines in the diff.

That might be a thing that we could optimize there I guess.

@Samwalton9 You originally wrote a comment in the Scriptorium that you do not get the Two-Column-Edit-Conflict-Merge interface although you had enabled the beta feature[1]. Could you please check if it works for you now?

And if' you're able to test it: Do you see any issues that are special to the Wikisource project, that might be relevant to look into?

[1] https://en.wikisource.org/wiki/Wikisource:Scriptorium/Archives/2017-05#Beta_Feature_Two_Column_Edit_Conflict_View

Samwalton9 added a subscriber: SGill.EditedFeb 13 2020, 12:21 PM

Looks to be working for me now!

I'm not an active Wikisource editor as of late so I'm not too sure on Wikisource specific issues. @SGill might be able to advise.

That said, I did notice that despite only edit conflict-ing over the line of text with test messages in, the new interface also erroneously identified a change in the page footer:

The old interface didn't identify any such change for a similar edit:

EDIT: Just read up and realised this is the same issue you already identified above :)

awight added a subscriber: awight.Feb 13 2020, 12:28 PM

In the spirit of the "review" column, I would say that we need to fix the inconsistency before deploying to any wikisource projects. A phantom conflict will make it more complicated to resolve ordinary conflicts, and will cause unintended diffs. Probably, editors will end up removing the newlines manually which causes extra work.

WMDE-Fisch closed this task as Resolved.Feb 17 2020, 7:55 AM
WMDE-Fisch moved this task from Review to Done on the WMDE-QWERTY-Sprint-2020-02-04 board.

I consider this resolved now. The original issue described in here was not valid anymore for the current UI and the only issue identified got fixed. If anything else turns up it should be addressed in a new ticket.